PETSc version 3.15.5
Fix/Edit manual page

# DMCreateSuperDM

Returns an arrays of ISes and DM encapsulating a superproblem defined by the DMs passed in.

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMCreateSuperDM(DM dms[], PetscInt len, IS **is, DM *superdm)

Not collective

### Input Parameter

| dms | - The DM objects
| len | - The number of DMs

### Output Parameters

| is | - The global indices for the subproblem, or NULL
| superdm | - The DM for the superproblem

Note: You need to call DMPlexSetMigrationSF() on the original DM if you want the Global-To-Natural map to be automatically constructed

### See Also

DMPlexSetMigrationSF(), DMDestroy(), DMView(), DMCreateInterpolation(), DMCreateColoring(), DMCreateMatrix(), DMCreateFieldIS()

### Level

intermediate

### Location

src/dm/interface/dm.c

### Implementations

DMCreateSuperDM_Plex in src/dm/impls/plex/plex.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages